summaryrefslogtreecommitdiffstats
path: root/development/zooey/zooey.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/zooey/zooey.SlackBuild')
-rw-r--r--development/zooey/zooey.SlackBuild93
1 files changed, 93 insertions, 0 deletions
diff --git a/development/zooey/zooey.SlackBuild b/development/zooey/zooey.SlackBuild
new file mode 100644
index 0000000000..1f49b82e13
--- /dev/null
+++ b/development/zooey/zooey.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+# Slackware build script for zooey
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=zooey
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# Use our CFLAGS and man page path (hate when it's hardcoded).
+sed -i -e "/CFLAGS/s,-O2,$SLKCFLAGS," \
+ -e 's,share/man,man,g' Makefile
+
+# Fix some typos and formatting errors in the man page.
+patch -p1 < $CWD/manpagefixes.diff
+
+# Author's name in the source is hard-coded ISO-8859-2. The Polish
+# l-with-slash in "zooey -h" output displays as a superscript 3 in an
+# ISO-8859-1 (Latin-1 or Windows-1232) terminal, or just gibberish in
+# a UTF-8 terminal. Make it UTF-8 in the source.
+mv $PRGNAM.c $PRGNAM.c.orig
+iconv -f iso-8859-2 -t utf-8 $PRGNAM.c.orig > $PRGNAM.c
+
+make $PRGNAM
+make install PREFIX=$PKG/usr
+# Binary is already stripped.
+gzip -9 $PKG/usr/man/man?/*.?
+
+# mcedit (midnight commander) syntax support, untested by SlackBuild
+# author. Wish there was one for vim...
+mkdir -p $PKG/usr/share/mc/syntax
+install -m0644 asm.syntax $PKG/usr/share/mc/syntax
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+install -m0644 ChangeLog ToDo $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE